Last Comment Bug 738374 - Random orange: TEST-UNEXPECTED-FAIL | test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
: Random orange: TEST-UNEXPECTED-FAIL | test-message-header.js | test-message-h...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 11:35 PDT by Mike Conley (:mconley)
Modified: 2012-12-30 18:38 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1 (4.33 KB, patch)
2012-03-26 08:24 PDT, Mike Conley (:mconley)
standard8: review+
Details | Diff | Splinter Review
Patch v2 (carrying over r+ from Standard8) (4.78 KB, patch)
2012-04-09 08:16 PDT, Mike Conley (:mconley)
no flags Details | Diff | Splinter Review

Description Mike Conley (:mconley) 2012-03-22 11:35:23 PDT
Stack of test failure:

SUMMARY-UNEXPECTED-FAIL | test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
  EXCEPTION: address not updated after clicking star
    at: test-message-header.js line 605
       subtest_more_widget_star_click([object XULElement]) test-message-header.js 605
       test_clicking_star_opens_inline_contact_editor() test-message-header.js 198
            frame.js 557
            frame.js 626
            frame.js 669
            frame.js 497
            frame.js 675
            server.js 179
            server.js 183
Comment 1 Mike Conley (:mconley) 2012-03-26 08:24:22 PDT
Created attachment 609326 [details] [diff] [review]
Patch v1

This seems to address this issue...

What confuses me is why the test passes *sometimes*.  When the tests failed for me locally, it looked like this was due to the fact that the wrong "lastAddr" was being selected (due to the multi-address-in-header thing having some hidden address nodes from previously selected messages...is that an optimisation of some kind?).

So I've added a function that selects the last address in the multi-address-in-header node that is actually visible.  Seems to fix the issue.

Mark - I *think* this is code you've worked on before...any idea if I'm missing anything, or why we'd only sometimes fail this test (and only on Linux?)
Comment 2 rsx11m 2012-04-04 09:00:18 PDT
The caching of address nodes should be more predictable after bug 732144 does no longer take into account temporary expansions by the "more" button. Whether or not the cached length is larger than the displayed address list depends on what that widget encountered before in its life time (i.e., when was it instantiated and what happened since?). Even if you'd disable caching entirely and always have a "fresh" instance of the widget, it may still happen that the last address node turned back to a "hidden" status due to bug 567062 or bug 601206. These are fringe cases which depend on window width, font characteristics, etc., thus may certainly differ among platforms as seen in this case.

Thus, figuring out how many nodes are really displayed to avoid selecting a hidden node for the test seems to be the correct approach here either way.
Comment 3 Mike Conley (:mconley) 2012-04-09 07:10:03 PDT
Comment on attachment 609326 [details] [diff] [review]
Patch v1

I'm encouraged enough by rsx11m's comment enough to skip feedback, and go right for r?. :)
Comment 4 Mike Conley (:mconley) 2012-04-09 08:16:25 PDT
Created attachment 613295 [details] [diff] [review]
Patch v2 (carrying over r+ from Standard8)

Moved the helper function to the top of the test file, and added documentation.
Comment 5 Mike Conley (:mconley) 2012-04-09 08:18:22 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/ba68f54303d7
Comment 6 Treeherder Robot 2012-10-27 17:27:12 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=16528060&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2012-10-27 15:41:51
slave: talos-r3-fed-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 7 Treeherder Robot 2012-12-30 18:38:27 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=18359995&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2012-12-30 18:11:11
slave: talos-r3-fed64-030

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run

Note You need to log in before you can comment on or make changes to this bug.